Skip to main content
POST
/
api
/
v1
/
measurements
/
specialty_window_add_edit
curl --location 'http://fssportal.com/api/v1/measurements/specialty_window_add_edit' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "id": 0,
  "user_id": 68,
  "client_id": 1856,
  "room_id": 4945,
  "measurement_type_id": 1,
  "unit_type": "metrix",
  "mount_type": "",
  "window_type": 3,
  "window_name": "test",
  "a": "",
  "b": "",
  "c": "",
  "d": "",
  "e": "",
  "f": "",
  "g": "",
  "h": "",
  "i": "",
  "j": "",
  "k": "",
  "l": "",
  "w": "",
  "r": "",
  "w1": "",
  "h1": "",
  "d1": "",
  "x1": "",
  "b1": "",
  "w2": "",
  "h2": "",
  "d2": "",
  "x2": "",
  "b2": "",
  "focus_width": "",
  "focus_width_key": "",
  "focus_height": "",
  "focus_height_key": "",
  "for_shutter": "",
  "square_feet": "",
  "min_value_fields": "",
  "note": "",
  "offset_value": "",
  "offset_value_keys": "",
  "installation_instructions": "",
  "total_custom_fields": 0,
  "custom_field": []
}'
{
  "message": "Measurement added successfully!",
  "data": []
}

Endpoint

POST /api/v1/measurements/specialty_window_add_edit
This endpoint requires authentication

Headers

X-API-Token
string
required
Your API access token. You can also set this globally in the API playground.
platform
string
required
The platform making the request: WEB, IOS, or ANDROID.

Request Body

id
integer
id
user_id
integer
required
user id
client_id
integer
required
client id
room_id
integer
required
room id
measurement_type_id
integer
required
measurement type id
unit_type
string
required
unit type
mount_type
string
mount type
window_type
integer
required
Type of specialty window (e.g., Arch, Trapezoid).
window_name
string
required
window name
a
string
a
b
string
b
c
string
c
d
string
d
e
string
e
f
string
f
g
string
g
h
string
h
i
string
i
j
string
j
k
string
k
l
string
l
w
string
w
r
string
r
w1
string
w1
h1
string
h1
d1
string
d1
x1
string
x1
b1
string
b1
w2
string
w2
h2
string
h2
d2
string
d2
x2
string
x2
b2
string
b2
focus_width
string
focus width
focus_width_key
string
focus width key
focus_height
string
focus height
focus_height_key
string
focus height key
for_shutter
string
for shutter
square_feet
string
square feet
min_value_fields
string
min value fields
note
string
note
offset_value
string
offset value
offset_value_keys
string
offset value keys
installation_instructions
string
installation instructions
total_custom_fields
integer
total custom fields
custom_field
object
custom field

Response

message
string
message
data
array
data
curl --location 'http://fssportal.com/api/v1/measurements/specialty_window_add_edit' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
  "id": 0,
  "user_id": 68,
  "client_id": 1856,
  "room_id": 4945,
  "measurement_type_id": 1,
  "unit_type": "metrix",
  "mount_type": "",
  "window_type": 3,
  "window_name": "test",
  "a": "",
  "b": "",
  "c": "",
  "d": "",
  "e": "",
  "f": "",
  "g": "",
  "h": "",
  "i": "",
  "j": "",
  "k": "",
  "l": "",
  "w": "",
  "r": "",
  "w1": "",
  "h1": "",
  "d1": "",
  "x1": "",
  "b1": "",
  "w2": "",
  "h2": "",
  "d2": "",
  "x2": "",
  "b2": "",
  "focus_width": "",
  "focus_width_key": "",
  "focus_height": "",
  "focus_height_key": "",
  "for_shutter": "",
  "square_feet": "",
  "min_value_fields": "",
  "note": "",
  "offset_value": "",
  "offset_value_keys": "",
  "installation_instructions": "",
  "total_custom_fields": 0,
  "custom_field": []
}'
{
  "message": "Measurement added successfully!",
  "data": []
}

Notes

  • Authentication is required